
Foreman - Refactor #15635

add tests for dns orchestration

07/10/2016 07:10 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Tests   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3635,

https://github.com/theforeman/foreman/p

ull/3709

  

Description

dns orchestration and dns_interface could use better test coverage. we should add some tests.

Related issues:

Related to Foreman - Bug #17197: DNS being recreated on host update when ip6 ... Closed 11/03/2016

Associated revisions

Revision 3442a707 - 07/11/2016 01:03 PM - Timo Goebel

fixes #15635 - tests for dns orchestration

History

#1 - 07/11/2016 05:17 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3635 added

#2 - 07/11/2016 02:01 PM - Timo Goebel

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3442a707bd37cbc758d89c3a3ea8ccdb9b3b2328.

#3 - 07/12/2016 04:35 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#4 - 11/03/2016 08:21 AM - Dominic Cleal

- Related to Bug #17197: DNS being recreated on host update when ip6 field changes from nil to empty added

#5 - 11/07/2016 08:38 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3709 added
